> 커뮤니티 > 프로그램질문
프로그램질문

인테리어 관련 프로그램(캐드, 맥스, 포토샵, 래빗)에 관한 질문을 올리고 답변이나 도움을 받을 수 있는 게시판입니다. 

entsel 함수 사용 시 입력값을 사용하고 싶습니다.

1 쇼핑맨 1 33 0 0

(defun c:asd1 () 
(if (setq ent (entsel "\n호 선택 or <enter> :"))
    (progn
     (setq el (entget (car ent)))
     (setq rad (cdr (assoc 40 el)))
     (setq ss (ssget (list (cons 0 "arc") (cons 40 rad))))
     )
    (progn
    (setq rad (/ (getreal "\n지름") 2))
    (setq ss (ssget (list (cons 0 "arc") (cons 40 rad))))
    )
(princ))

---------------------------------------------
---------------------------------------------
---------------------------------------------
안녕하세요. 
정식으로 리습을 배운것이 아니라 여기저기서 짜집기 하다보니 
제가 원하는 리습을 만들기가 너무 어렵네요ㅜ

문의하는 내용
(if (setq ent (entsel "\n호 선택 or <enter> :"))
리습을 실행하면 호 선택 or enter 입력으로 나옵니다.
그런데 여기서 enter 입력이 아니라 
바로 숫자를 입력해서 그 입력값을 
(setq rad (/ (getreal "\n지름") 2))    <------ 이 구문의 지름으로 
바로 사용할 수 있는 방법은 없을까요??

객체를 선택하거나 입력값을 사용해서 
특정지름의 호를 찾으려고 하는 목적을 가진 리습입니다.
혹시 방법을 아신다면 알려주시면 감사하겠습니다.

1 Comments
4 다비도프 09.29 22:22  
emoticon


(defun c:asd1 ()
    (setq rad (/ (getreal "\n지름 입력 : ") 2))
    (setq ss (ssget (list (cons 0 "arc") (cons 40 rad))))   
(princ))

;;;
제목